unit dmserver;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils, SQLDB, sqldbrestbridge, sqldbrestschema, PQConnection;

type

  { TServerModule }

  TServerModule = class(TDataModule)
    connBlog: TPQConnection;
    qryLogin: TSQLQuery;
    rdBlog: TSQLDBRestDispatcher;
    rsBlog: TSQLDBRestSchema;
    trBlog: TSQLTransaction;
    procedure DataModuleCreate(Sender: TObject);
  private

  public
    function GetTransaction(aOwner : TComponent) : TSQLTransaction;
  end;

var
  ServerModule: TServerModule;

implementation

uses fpmimetypes, fpwebfile;

{$R *.lfm}

{ TServerModule }

procedure TServerModule.DataModuleCreate(Sender: TObject);
begin
  TSimpleFileModule.BaseDir:=ExpandFileName(ExtractFilePath(ParamStr(0))+'../client/');
  TSimpleFileModule.RegisterDefaultRoute;
  TSimpleFileModule.IndexPageName:='index.html';
  mimetypes.LoadKnownTypes;
//  rdBlog.RegisterRoutes;
end;

function TServerModule.GetTransaction(aOwner: TComponent): TSQLTransaction;
begin
  Result:=TSQLTransaction.Create(aOwner);
  Result.Database:=connBlog;
end;

end.

